# ORCA NO2+ DFT (BLYP) optimisation

from chemsh       import *
from chemsh.utils import testutils

no2 = Fragment(coords="no2.cjson")

# default functional is 'blyp'
# default: convergence='tightscf'
orca = ORCA(frag=no2, method="dft", basis="3-21g", charge=1)

opt = Opt(theory=orca,
          algorithm="lbfgs", tolerance=0.0003, trust_radius="energy",
          maxcycle=100, maxene=100, maxstep=1.0)
          
opt.run()

ecalc = opt.result.energy

# Tcl-ChemShell 3.7.1/ORCA 4.2.1 result
# convergence=normalscf from Tcl-ChemShell
#eref = -203.552987382245
# convergence=tightscf
#eref = -203.552987360929
# ORCA 5.0.3 
eref = -203.55297162

testutils.validate(ecalc, eref)
